Subject: [PATCH 4/4] msvc: Add a definition of NORETURN compatible with msvc compiler

From: Ramsay Jones <[email-masked]>
Date: Wed, 20 Jan 2010 19:45:12 +0000

Signed-off-by: Ramsay Jones <[email-masked]>
---

I thought that Erik had already submitted this patch along with
those that resulted in commits a4f3131c and 18660bc9. However, I
don't seem to be able to find it anywhere! (maybe I only imagined
it).

If you find Erik's patch, please apply that instead...

ATB,
Ramsay Jones

 git-compat-util.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/git-compat-util.h b/git-compat-util.h
index 5c59687..6efea29 100644
--- a/git-compat-util.h
+++ b/git-compat-util.h
@@ -177,6 +177,9 @@ extern char *gitbasename(char *);
 #ifdef __GNUC__
 #define NORETURN __attribute__((__noreturn__))
 #define NORETURN_PTR __attribute__((__noreturn__))
+#elif defined(_MSC_VER)
+#define NORETURN __declspec(noreturn)
+#define NORETURN_PTR
 #else
 #define NORETURN
 #define NORETURN_PTR
-- 
1.6.6